Name: duplicity
Summary: Untrusted/encrypted backup using rsync algorithm
Version: 0.4.2
Release: alt0.1
Group: Archiving/Backup
Url: http://www.nongnu.org/duplicity/

Source: http://savannah.nongnu.org/download/duplicity/%name-%version.tar.gz
License: GPL

Requires: librsync >= 0.9.6, gnupg >= 1.0.6
BuildPreReq: python-devel, librsync-devel >= 0.9.6

%description
Duplicity incrementally backs up files and directory by encrypting
tar-format volumes with GnuPG and uploading them to a remote (or
local) file server.  In theory many remote backends are possible;
right now local, ssh/scp, ftp, and rsync backends are written.
Because duplicity uses librsync, the incremental archives are space
efficient and only record the parts of files that have changed since
the last backup.  Currently duplicity supports deleted files, full
unix permissions, directories, symbolic links, fifos, etc., but not
hard links.

%prep
%setup -q

%build
CFLAGS="%optflags" %__python setup.py \
	install --optimize=2 \
		--root=`pwd`/buildroot \
		--record=INSTALLED_FILES

%install
cp -pr buildroot %buildroot

%files
%_bindir/rdiffdir
%_bindir/duplicity
%_man1dir/*
%_libdir/*
%doc CHANGELOG COPYING README

%changelog
* Wed May 17 2006 Alex V. Myltsev <avm@altlinux.ru> 0.4.2-alt0.1
- Initial build for Sisyphus

* Sat Aug 09 2003 Ben Escoto <bescoto@stanford.edu>
- Repackaging for Fedora
- autodetect python version
- require librsync >=0.9.6
* Sun Aug 30 2002 Ben Escoto <bescoto@stanford.edu>
- Initial RPM

